(function ($, Drupal) {
  Drupal.behaviors.commerce_add_to_cart_confirmation = {
    attach(context) {
      $(
        once(
          'commerce-add-to-cart-confirmation',
          '.commerce-add-to-cart-confirmation',
          context,
        ),
      ).each(function () {
        const originalPopupContent = $(this);
        if (originalPopupContent.length > 0) {
          const popupContent = originalPopupContent.clone();
          originalPopupContent.remove();
          const popupTitle = popupContent.find('.added-product-title').html();
          popupContent.find('.added-product-title').remove();
          const confirmationModal = Drupal.dialog(popupContent, {
            title: popupTitle,
            dialogClass: 'commerce-confirmation-popup',
            width: 745,
            height: 375,
            maxWidth: '95%',
            autoResize: true,
            resizable: false,
            close(event) {
              $(event.target).remove();
            },
          });
          confirmationModal.showModal();

          popupContent.on(
            'click touchend',
            '.commerce-add-to-cart-confirmation-close',
            function () {
              Drupal.dialog(popupContent).close();
            },
          );
        }
      });
    },
  };
})(jQuery, Drupal);
